PDFAnnotList (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Class PDFAnnotList

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFAnnotList

- All Implemented Interfaces:
    PDFWritable

      public class PDFAnnotList
      extends PDFObject

  class representing an object which is a list of annotations. This PDF object is a list of references to /Annot objects. So far we are dealing only with links.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFAnnotList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAnnot(PDFObject link)` add an /Annot object of /Subtype /Link.
    `void` | `getChildren(java.util.Set<PDFObject> children)`
    `int` | `getCount()` get the count of /Annot objects
    `java.lang.String` | `toPDFString()` This method returns a String representation of the PDF object.

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFAnnotList

          public PDFAnnotList()

  - ### Method Detail

    - #### addAnnot

          public void addAnnot(PDFObject link)

      add an /Annot object of /Subtype /Link.
      Parameters:
        `link` - the PDFLink to add.

    - #### getCount

          public int getCount()

      get the count of /Annot objects
      Returns:
        the number of links

    - #### toPDFString

          public java.lang.String toPDFString()

      This method returns a String representation of the PDF object. The result is normally converted/encoded to a byte array by toPDF(). Only use this method to implement the serialization if the object can be fully represented as text. If the PDF representation of the object contains binary content use toPDF() or output(OutputStream) instead. This applies to any object potentially containing a string object because string object are encrypted and therefore need to be binary.
      Overrides:
        `toPDFString` in class `PDFObject`
      Returns:
        String the String representation

    - #### getChildren

          public void getChildren(java.util.Set<PDFObject> children)

      Overrides:
        `getChildren` in class `PDFObject`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.